Subject: Ticket Assigned - Return Request 9670497857
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 15 Jul 2021 08:46:34 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Return Request 9670497857 Dear Team,
I would like to follow up on the return request under reference number 9670497857. This has been the 5th time I have called the customer care to follow up because no one contacted me to pick up the item. The item was delivered to me last June 17 and I also made the return request on the same day. It is now July 15 but no one from your side actually came. THIS IS VERY DISAPPOINTING. Please do the needful.  
Thank you.
Regards,  Angelica

Sent from Yahoo Mail on Android
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2862713